Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security.management.credentials
Interface CredentialEntry

All Known Implementing Classes:
  MemoryCredentialEntry

    public interface CredentialEntry

This interface describe main functionalities of a credential entry

Nested Class Summary
`static class` | `CredentialEntry.EntryType` Specify the binding type of a credential entry

Method Summary
`String` | `getAttribute(String name)` Get named credential metadata value
`Map<String,String>` | `getAttributes()` Get a copy of all credential metadata Using Properties.setProperty() on returned object only change value locally.
`Credential` | `getCredential()` Get credential of this entry
`String` | `getDescription()` Get optional description
`String` | `getName()` Get name of the credential entry
`Scope` | `getScope()` Get visibility scope of the credential entry
`CredentialEntry.EntryType` | `getType()` Get binding type of this entry
`void` | `removeAttribute(String name)` Remove named credential metadata If named metadata does not exist, this method retuns normally
`void` | `setAttribute(String name, String value)` Set a credential metadata If value is null, it equals to `removeAttribute(String)`
`void` | `setCredential(Credential c)` Set credential into this entry
`void` | `setDescription(String newDescription)` Set a new description

Method Detail

### getName

    String getName()

  Get name of the credential entry

  Returns
    entry name

### getType

    CredentialEntry.EntryType getType()

  Get binding type of this entry

  Returns
    binding type of the entry

### getScope

    Scope getScope()

  Get visibility scope of the credential entry

  Returns
    visibility scope of the entry

### getDescription

    String getDescription()

  Get optional description

  Returns
    description of the entry or `null` if not set

### setDescription

    void setDescription(String newDescription)

  Set a new description

  Parameters
    `newDescription` - a new description

### getCredential

    Credential getCredential()

  Get credential of this entry

  Returns
    the credential in this entry, null if not set.

### setCredential

    void setCredential(Credential c)

  Set credential into this entry

  Parameters
    `c` - credential to be set

### getAttribute

    String getAttribute(String name)

  Get named credential metadata value

  Parameters
    `name` - the name of credential metadata
  Returns
    the value of named credential metadata. If named medata is not been set, null is return.

### setAttribute

    void setAttribute(String name,
                      String value)

  Set a credential metadata If value is null, it equals to `removeAttribute(String)`

  Parameters
    `name` - the name of credential metadata
    `value` - the value of credential metadata

### removeAttribute

    void removeAttribute(String name)

  Remove named credential metadata
  If named metadata does not exist, this method retuns normally

  Parameters
    `name` - the name of credential metadata to be remove

### getAttributes

    Map<String,String> getAttributes()

  Get a copy of all credential metadata Using Properties.setProperty() on returned object only change value locally. It has no effect as `setAttribute(String, String)` does.

  Returns
    a Properties object contains all copies of credential metadata

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.